> ## Documentation Index
> Fetch the complete documentation index at: https://cal.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a link

> If accessed using an OAuth access token, the `EVENT_TYPE_WRITE` scope is required.



## OpenAPI

````yaml /api-reference/v2/openapi.json delete /v2/links/{linkUid}
openapi: 3.0.0
info:
  title: Cal.com API v2
  description: ''
  version: 1.0.0
  contact: {}
servers: []
security: []
tags: []
paths:
  /v2/links/{linkUid}:
    delete:
      tags:
        - Links
      summary: Delete a link
      description: >-
        If accessed using an OAuth access token, the `EVENT_TYPE_WRITE` scope is
        required.
      operationId: LinksController_deleteLink
      parameters:
        - name: linkUid
          required: true
          in: path
          description: >-
            Link UUID. Accepts the canonical UUID (e.g.
            `018ff5cd-6dc4-7d57-bcbc-374702ca8b38`) or its short-uuid (Flickr
            Base58) form (e.g. `1cbZYoAFoJdwqN4tixezd5`).
          schema:
            type: string
        - name: Authorization
          in: header
          description: >-
            value must be `Bearer <token>` where `<token>` is api key prefixed
            with cal_, managed user access token, or OAuth access token
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteLinkOutput'
        '400':
          description: Invalid link UUID
        '404':
          description: Link not found
components:
  schemas:
    DeleteLinkOutput:
      type: object
      properties:
        status:
          enum:
            - success
            - error
          type: string
          example: success
        data:
          $ref: '#/components/schemas/DeleteLinkData'
      required:
        - status
        - data
    DeleteLinkData:
      type: object
      properties:
        lengthInMinutes:
          type: number
          example: 60
        title:
          type: string
          example: Learn the secrets of masterchief!
        uuid:
          type: string
          format: uuid
          example: 018ff5cd-6dc4-7d57-bcbc-374702ca8b38
        slug:
          type: string
      required:
        - lengthInMinutes
        - title
        - uuid
        - slug

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.